# $Revision: 1.17 $, $Date: 2008/05/04 08:44:59 $
Summary:	2D plotting widget extension to the Qt GUI
Summary(pl.UTF-8):	Rozszerzenie wykresów 2D dla GUI Qt
Name:		qwt
Version:	5.1.0
Release:	1
License:	Qwt v1.0
Group:		Libraries
Source0:	http://dl.sourceforge.net/qwt/%{name}-%{version}.tar.bz2
# Source0-md5:	c585dc3b1ea5ad00747721f68687d868
URL:		http://qwt.sourceforge.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtDesigner-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtSvg-devel
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS. The Qwt
library contains widgets and components which are primarily useful for
technical and scientifical purposes. It includes a 2-D plotting
widget, different kinds of sliders, and much more.

%description -l pl.UTF-8
Qwt jest rozszerzeniem do biblioteki Qt z Troll Tech AS. Biblioteka
Qwt zawiera widgety i komponenty użyteczne głównie do celów
technicznych i naukowych. Zawiera widget do rysowania wykresów 2D,
różne rodzaje suwaków i wiele więcej.

%package devel
Summary:	Header files for qwt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qwt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtGui-devel

%description devel
Header files for qwt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qwt.

%package -n qt4-plugin-qwt
Summary:	qwt plugin for Qt Designer
Summary(pl.UTF-8):	Wtyczka qwt dla Qt Designera
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	QtDesigner

%description -n qt4-plugin-qwt
qwt plugin for Qt Designer.

%description -n qt4-plugin-qwt -l pl.UTF-8
Wtyczka qwt dla Qt Designera.

%prep
%setup -q

%build
qmake-qt4 qwt.pro

%{__make}

### can't build without qwt-devel ver 5.1.0 installed
#cd examples
#qmake-qt4 examples.pro
#%{__make} -j1
#%{__make} distclean
#rm -fr .*.cache */.*.cache */*/.*.cache Makefile */moc */obj */*/moc */*/obj
#cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/%{name},%{_libdir}/qt4/plugins-mt/designer,%{_mandir}/man3}

for n in src/*.h ; do
    install $n $RPM_BUILD_ROOT%{_includedir}/%{name}
done

for n in lib/libqwt.so* ; do
    cp -d $n $RPM_BUILD_ROOT%{_libdir}
done

%{__make} -C designer install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

echo "%{_libdir}/qt4/plugins/designer/libqwtplugin.so" > plugin.list

for n in doc/man/man3/*.3 ; do
    install $n $RPM_BUILD_ROOT%{_mandir}/man3
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(755,root,root) %{_libdir}/libqwt.so.*.*
%attr(755,root,root) %{_libdir}/libqwt.so.?

%files devel
%defattr(644,root,root,755)
%doc doc/html/*.css doc/html/*.html doc/html/*.gif doc/html/*.png
%doc examples
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/%{name}
%{_mandir}/man3/*

%files -n qt4-plugin-qwt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qwt.spec,v $
Revision 1.17  2008/05/04 08:44:59  rotom
- up to 5.1.0

Revision 1.16  2008-01-04 19:28:31  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.15  2008-01-04 14:44:36  sls
- added missing BR: Qt*-devel

Revision 1.14  2007-10-27 21:24:07  arekm
- rel 2; switch to qt4

Revision 1.13  2007/09/08 18:27:28  rotom
- up to 5.0.2
- License is Qwt version 1.0

Revision 1.12  2007/06/28 12:10:43  blekot
- fixed build on Th
- STBR

Revision 1.11  2007/04/13 14:47:35  darekr
- fix %install

Revision 1.10  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.8  2006/09/26 11:39:19  blekot
- install fix

Revision 1.7  2006/06/09 15:37:00  wolf
- cosmetics

Revision 1.6  2006/04/04 11:38:54  charles
- -devel R: qt-devel
- rel. 3

Revision 1.5  2006/04/02 20:18:14  qboosh
- perms fix

Revision 1.4  2006/04/02 20:15:49  blekot
- added qt designer plugin (TODO done)
- rel 2
- STBR please

Revision 1.3  2005/07/04 21:49:07  qboosh
- improved pl
- one COPYING is enough

Revision 1.2  2005/07/02 22:59:08  undefine
- add todo

Revision 1.1  2005/07/02 22:57:45  undefine
- initial
